Package org.apache.commons.codec.digest

# Class MurmurHash3.IncrementalHash32

java.lang.Object
org.apache.commons.codec.digest.MurmurHash3.IncrementalHash32x86
org.apache.commons.codec.digest.MurmurHash3.IncrementalHash32

Enclosing class:
  `MurmurHash3`

@Deprecated public static class MurmurHash3.IncrementalHash32 extends MurmurHash3.IncrementalHash32x86
Deprecated.
Use IncrementalHash32x86. This corrects the processing of trailing bytes.
Generates 32-bit hash from input bytes. Bytes can be added incrementally and the new hash computed.

This is an implementation of the 32-bit hash function `MurmurHash3_x86_32` from Austin Appleby's original MurmurHash3 `c++` code in SMHasher.

This implementation contains a sign-extension bug in the finalization step of any bytes left over from dividing the length by 4. This manifests if any of these bytes are negative.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncrementalHash32()`
  Deprecated.
  Constructs a new instance.

- ## Method Summary

  ### Methods inherited from class org.apache.commons.codec.digest.MurmurHash3.IncrementalHash32x86

  `add, end, start`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IncrementalHash32

    public IncrementalHash32()
    Deprecated.
    Constructs a new instance.